CFD Online Logo CFD Online URL
www.cfd-online.com
[Sponsors]
Home > Forums > Software User Forums > OpenFOAM > OpenFOAM Installation

[OpenFOAM.com] What is the best Operating System for OpenFOAM-1.7.1

Register Blogs Members List Search Today's Posts Mark Forums Read

Reply
 
LinkBack Thread Tools Search this Thread Display Modes
Old   September 20, 2017, 15:04
Default What is the best Operating System for OpenFOAM-1.7.1
  #1
New Member
 
Join Date: Jun 2016
Posts: 6
Rep Power: 5
ahmed425 is on a distinguished road
Dear Foamers,

I would like to install OpenFOAM-1.7.1 to use a solver that it is not working with new OF versions. I'm using Ubuntu 16.10 and with the some search I found a guide to install OF-1.7.1 on Ubuntu 16.04. I followed it but I couldn't successfully install it.

any suggestions would be appreciated.

Thank you all

Last edited by Tobi; September 22, 2017 at 09:23. Reason: Formating
ahmed425 is offline   Reply With Quote

Old   September 22, 2017, 09:23
Default
  #2
Super Moderator
 
Tobi's Avatar
 
Tobias Holzmann
Join Date: Oct 2010
Location: Augsburg
Posts: 2,312
Blog Entries: 6
Rep Power: 39
Tobi has a spectacular aura aboutTobi has a spectacular aura about
Send a message via ICQ to Tobi Send a message via Skype™ to Tobi
Check out the openfoamwiki page, there you should find the answer. Actually, you can compile the sources in any distribution. You just have to make sure you have all the necessary packages installed. However, I would re-build the solver for OpenFOAM-5.x. Its like going back in time for 6 years.
__________________
Keep foaming,
Tobias Holzmann
Tobi is offline   Reply With Quote

Old   October 5, 2017, 13:27
Default
  #3
New Member
 
Join Date: Jun 2016
Posts: 6
Rep Power: 5
ahmed425 is on a distinguished road
Quote:
Originally Posted by Tobi View Post
Check out the openfoamwiki page, there you should find the answer. Actually, you can compile the sources in any distribution. You just have to make sure you have all the necessary packages installed. However, I would re-build the solver for OpenFOAM-5.x. Its like going back in time for 6 years.
I thought about building the solver in the newest OF version. However, it gives me errors during compilation and I'm not expert in these issues. This is why I thought the easiest way is to get OF1.7.1
ahmed425 is offline   Reply With Quote

Old   October 5, 2017, 22:46
Default
  #4
Senior Member
 
ztdep's Avatar
 
p ding
Join Date: Mar 2009
Posts: 361
Rep Power: 13
ztdep is on a distinguished road
Send a message via Yahoo to ztdep Send a message via Skype™ to ztdep
I sucessfuly compiled it in opensuse 43.3 with MPICH
ztdep is offline   Reply With Quote

Reply

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Trackbacks are Off
Pingbacks are On
Refbacks are On


Similar Threads
Thread Thread Starter Forum Replies Last Post
how to edit batch file on windows operating system breezeyu STAR-CCM+ 0 June 10, 2018 13:40
Remeshing_ ANSYS 14.0_ System Coupling acdesa ANSYS 4 November 2, 2016 10:12
System Build Advice for FEA cycleback Hardware 1 February 8, 2013 21:53
UDF problem with 64 bit operating system? phillerup Main CFD Forum 0 July 23, 2009 14:00
Operating system for Fluent? lily FLUENT 4 August 28, 2003 11:09


All times are GMT -4. The time now is 08:35.